PHP-инклюдинг в Valdersoft Shopping Cart

Дата публикации:
26.12.2006
Всего просмотров:
1294
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Valdersoft Shopping Cart 3.x
Уязвимые версии: Valdersoft Shopping Cart 3.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "commonIncludePath" в сценариях admin/include/common.php и include/common.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/include/common.php?commonIncludePath=[file]

URL производителя: www.valdersoft.com/valdersoft_shopping_cart.php

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA